DeluxHostAPI Reference
Payments & payment methods

List available payment gateways

GET
/v1/payments/config

Authorization

apiToken billing:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: billing:read

Query Parameters

invoiceId?number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
methods*array<>
pinnedGatewayId?string
curl -X GET 'https://api.deluxhost.net/v1/payments/config' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "methods": [    {      "id": "string",      "clientId": "string",      "env": "string",      "unavailable": "string"    }  ],  "pinnedGatewayId": "string"}